# Maintainer: Joaquin (Pato) Decima <jdecima@lynx.net.ar>

pkgname=nwjs
pkgver=0.65.0
pkgrel=1
pkgdesc="An app runtime based on Chromium and node.js."
arch=("x86_64")
url="https://nwjs.io/"
license=("MIT")
depends=(
	"gtk3"
	"nss"
	"libxss")
optdepends=(
  "nodejs: npm package support"
  "nw-gyp: native add-on build tool for node-webkit"
)
provides=("nwjs" "node-webkit")
replaces=("node-webkit")
conflicts=(
	"nwjs-bin"
	"node-webkit")
source=("${pkgname}-${pkgver}.tar.gz::http://dl.nwjs.io/v${pkgver}/${pkgname%-bin}-v${pkgver}-linux-x64.tar.gz")
md5sums=('a390e413b700ad710e0db4e09cb0070b')

package() {
  cd "${pkgname}-v${pkgver}-linux-x64"
  install -dm755 "${pkgdir}/opt/${pkgname}"
  install -d "${pkgdir}/usr/bin"
  cp -a * "${pkgdir}/opt/${pkgname}/"
  chmod -R 755 "${pkgdir}/opt/${pkgname}"
  chmod 755 "${pkgdir}/opt/${pkgname}/nw"
  ln -s "/opt/${pkgname}/nw" "${pkgdir}/usr/bin/nw"
}
